Bug 838771 - (ghc-NumInstances) Review Request: ghc-NumInstances - Instances of numeric classes for functions and tuples
Review Request: ghc-NumInstances - Instances of numeric classes for functions...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 743230
  Show dependency treegraph
 
Reported: 2012-07-10 00:32 EDT by Ben Boeckel
Modified: 2012-08-06 23:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-06 23:45:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2012-07-10 00:32:26 EDT
Spec URL: http://benboeckel.net/packaging/ghc-NumInstances/ghc-NumInstances.spec
SRPM URL: http://benboeckel.net/packaging/ghc-NumInstances/ghc-NumInstances-1.0-1.fc18.src.rpm
Description:
Instances of numeric classes for functions and tuples
Fedora Account System Username: mathstuf

% lintmock fedora-rawhide-x86_64
ghc-NumInstances.src: W: spelling-error Summary(en_US) tuples -> letups
ghc-NumInstances.src: W: spelling-error %description -l en_US tuples -> letups
ghc-NumInstances.src: W: strange-permission ghc-NumInstances.spec 0640L
ghc-NumInstances.src: W: strange-permission NumInstances-1.0.tar.gz 0640L
ghc-NumInstances.x86_64: W: spelling-error Summary(en_US) tuples -> letups
ghc-NumInstances.x86_64: W: spelling-error %description -l en_US tuples -> letups
ghc-NumInstances-devel.x86_64: W: spelling-error Summary(en_US) tuples -> letups
ghc-NumInstances-devel.x86_64: W: spelling-error %description -l en_US tuples -> letups
3 packages and 0 specfiles checked; 0 errors, 8 warnings.
Comment 1 Jens Petersen 2012-07-30 06:31:57 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== C/C++ ====
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[-]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.
     Note: Unversioned so-files in non-devel package (fix or explain):ghc-
     NumInstances-1.0-1.fc16.x86_64.rpm :
     /usr/lib64/ghc-7.0.4/NumInstances-1.0/libHSNumInstances-1.0-ghc7.0.4.so
[-]: MUST Static libraries in -static subpackage, if present.
     Note: ghc-NumInstances-devel-1.0-1.fc16.x86_64.rpm :
     /usr/lib64/ghc-7.0.4/NumInstances-1.0/libHSNumInstances-1.0.a ghc-
     NumInstances-devel-1.0-1.fc16.x86_64.rpm :
     /usr/lib64/ghc-7.0.4/NumInstances-1.0/libHSNumInstances-1.0_p.a


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[!]: MUST Package does not contain duplicates in %files.
     Note: warning: File listed twice: /usr/share/doc/ghc-NumInstances-1.0

This is ok with rawhide ghc-rpm-macros

[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GENERATED FILE" For detailed output of licensecheck see
     file: /home/petersen/pkgreview/ghc-NumInstances/838771-ghc-
     NumInstances/licensecheck.txt
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[-]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (NumInstances-1.0.tar.gz)
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package does not contain duplicates in %files.
     Note: warning: File listed twice: /usr/share/doc/ghc-NumInstances-1.0
See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
[!]: MUST Static libraries in -static subpackage, if present.
     Note: ghc-NumInstances-devel-1.0-1.fc16.x86_64.rpm :
     /usr/lib64/ghc-7.0.4/NumInstances-1.0/libHSNumInstances-1.0.a ghc-
     NumInstances-devel-1.0-1.fc16.x86_64.rpm :
     /usr/lib64/ghc-7.0.4/NumInstances-1.0/libHSNumInstances-1.0_p.a
See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries

These can be waived.

Rpmlint
-------
Checking: ghc-NumInstances-1.0-1.fc16.x86_64.rpm
          ghc-NumInstances-devel-1.0-1.fc16.x86_64.rpm
          ghc-NumInstances-1.0-1.fc16.src.rpm
ghc-NumInstances.x86_64: W: spelling-error Summary(en_US) tuples -> letups
ghc-NumInstances.x86_64: W: spelling-error %description -l en_US tuples -> letups
ghc-NumInstances-devel.x86_64: W: spelling-error Summary(en_US) tuples -> letups
ghc-NumInstances-devel.x86_64: W: spelling-error %description -l en_US tuples -> letups
ghc-NumInstances.src: W: spelling-error Summary(en_US) tuples -> letups
ghc-NumInstances.src: W: spelling-error %description -l en_US tuples -> letups
ghc-NumInstances.src: W: strange-permission ghc-NumInstances.spec 0640L
ghc-NumInstances.src: W: strange-permission NumInstances-1.0.tar.gz 0640L
3 packages and 0 specfiles checked; 0 errors, 8 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint ghc-NumInstances-devel
ghc-NumInstances-devel.x86_64: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
ghc-NumInstances-1.0-1.fc16.x86_64.rpm (rpmlib, GLIBC filtered):
    
    ghc(base-4.3.1.0) = d2298ea3d0e16f270dfe58dfbda12bff
    libHSbase-4.3.1.0-ghc7.0.4.so()(64bit)  
    libHSghc-prim-0.2.0.0-ghc7.0.4.so()(64bit)  
    libHSinteger-gmp-0.2.0.3-ghc7.0.4.so()(64bit)  
    libc.so.6()(64bit)  
    libgmp.so.3()(64bit)  
    rtld(GNU_HASH)  

ghc-NumInstances-devel-1.0-1.fc16.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    ghc(NumInstances-1.0) = b0124e04696c594c8727de59abf3a1ef
    ghc-NumInstances = 1.0-1.fc16
    ghc-compiler = 7.0.4
    ghc-devel(NumInstances-1.0) = b0124e04696c594c8727de59abf3a1ef
    ghc-devel(base-4.3.1.0) = d2298ea3d0e16f270dfe58dfbda12bff
    ghc-prof(base-4.3.1.0) = d2298ea3d0e16f270dfe58dfbda12bff

Provides
--------
ghc-NumInstances-1.0-1.fc16.x86_64.rpm:
    
    ghc(NumInstances-1.0) = b0124e04696c594c8727de59abf3a1ef
    ghc-NumInstances = 1.0-1.fc16
    ghc-NumInstances(x86-64) = 1.0-1.fc16
    libHSNumInstances-1.0-ghc7.0.4.so()(64bit)  

ghc-NumInstances-devel-1.0-1.fc16.x86_64.rpm:
    
    ghc-NumInstances-devel = 1.0-1.fc16
    ghc-NumInstances-devel(x86-64) = 1.0-1.fc16
    ghc-NumInstances-doc = 1.0-1.fc16
    ghc-NumInstances-prof = 1.0-1.fc16
    ghc-devel(NumInstances-1.0) = b0124e04696c594c8727de59abf3a1ef
    ghc-prof(NumInstances-1.0) = b0124e04696c594c8727de59abf3a1ef

MD5-sum check
-------------
http://hackage.haskell.org/packages/archive/NumInstances/1.0/NumInstances-1.0.tar.gz :
  MD5SUM this package     : 39679c69a5b3adc8b0c2903259f60c0d
  MD5SUM upstream package : 39679c69a5b3adc8b0c2903259f60c0d


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -b 838771
External plugins:


Package is APPROVED.
Comment 3 Ben Boeckel 2012-08-05 21:20:57 EDT
New Package SCM Request
=======================
Package Name: ghc-NumInstances
Short Description: Instances of numeric classes for functions and tuples
Owners: mathstuf
Branches: f17 f16
InitialCC: haskell-sig
Comment 4 Gwyn Ciesla 2012-08-06 00:36:04 EDT
Git done (by process-git-requests).
Comment 5 Ben Boeckel 2012-08-06 23:45:26 EDT
Built for Rawhide.

Note You need to log in before you can comment on or make changes to this bug.